unit MyClasses;

interface

uses
  Classes, Contnrs;

type
  {M+}
  TMyObject = class(TPersistent)
  private
    FTestProp1: String;
    FTestProp2: Integer;
    FName: WideString;
    FItems: TObjectList;
  public
    constructor Create;
    destructor Destroy; override;
  published
    property Items: TObjectList read FItems write FItems;
    property Name: WideString read fName write fName;
    property TestProp1: String read FTestProp1 write FTestProp1;
    property TestProp2: Integer read FTestProp2 write FTestProp2;
  end;
  {M-}

implementation

{ TMyObject }

constructor TMyObject.Create;
begin
  inherited;
  FItems := TObjectList.Create;
end;

destructor TMyObject.Destroy;
begin
  FItems.Free;
  inherited;
end;

end.
